{
  "name": "@aicacia/collide-2d",
  "version": "0.1.0",
  "description": "a 2d collide engine",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/aicacia/libs/ts-collide-2d.git"
  },
  "main": "./lib/index.js",
  "types": "./lib/index.d.ts",
  "scripts": {
    "build": "tsc",
    "prepublishOnly": "npm run clean && npm run build",
    "test": "ts-node node_modules/.bin/tape src/**/*.test.{ts,tsx} | tap-spec",
    "coverage": "nyc --reporter=lcov --require ts-node/register tape src/**/*.test.{ts,tsx} | tap-spec; nyc report ---reporter=text",
    "clean": "rm -rf ./lib",
    "lint": "eslint . --fix",
    "doc": "typedoc --entryPoints src",
    "simple": "parcel examples/simple/index.html",
    "prettier": "prettier --ignore-path ./.eslintignore --ignore-unknown --write ."
  },
  "husky": {
    "hooks": {
      "pre-commit": "npm run prettier && npm run lint && npm run coverage && npm run prepublishOnly"
    }
  },
  "keywords": [
    "collide",
    "2d"
  ],
  "author": "Nathan Faucett",
  "license": "(MIT OR Apache-2.0)",
  "readmeFilename": "README.md",
  "devDependencies": {
    "@types/tape": "4",
    "@typescript-eslint/eslint-plugin": "4",
    "@typescript-eslint/parser": "4",
    "eslint": "7",
    "eslint-config-prettier": "7",
    "eslint-plugin-prettier": "3",
    "husky": "4",
    "nyc": "15",
    "parcel": "1",
    "prettier": "2",
    "tap-nyc": "1",
    "tap-spec": "5",
    "tape": "5",
    "ts-node": "9",
    "tslib": "2",
    "typedoc": "beta",
    "typescript": "4"
  },
  "dependencies": {
    "@aicacia/ecs": "git+https://git@github.com/aicacia/ts-ecs",
    "@aicacia/ecs-game": "git+https://git@github.com/aicacia/ts-ecs-game",
    "@aicacia/core": "0",
    "@aicacia/hash": "0",
    "@aicacia/json": "0",
    "gl-matrix": "3"
  },
  "peerDependencies": {
    "tslib": "2"
  },
  "nyc": {
    "include": [
      "src"
    ],
    "exclude": [
      "src/**/*.test.*"
    ],
    "extension": [
      ".ts",
      ".tsx"
    ]
  }
}
